.carousel-flexbox {
    display: flex;
    overflow: hidden;
    height: 100%;
    /* max-height: 100vh; */
}

.carousel-prev-flexbox,
.carousel-next-flexbox {
    visibility: hidden;
    position: absolute;
    cursor: pointer;
    z-index: 1;
    max-height: 100%;
    width: 100px;
}

.carousel-prev-flexbox {
    left: 0;
}

.carousel-next-flexbox {
    right: 0;
}

.carousel-item-flexbox {
    position: relative;
    display: inline-block;
    flex: 0;
    width: 100%;
    min-height: 20vw;
    text-align: center;
    overflow: hidden;

    transition: flex 1s ease;
}

.carousel-item-flexbox.current {
    flex: 1;
}

.carousel-item-flexbox img {
    position: absolute;
    height: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.carousel-heading-flexbox {
    display: inline-block;
    position: relative;
    background-color: #3498db;
    top: 50%;
    transform: translateY(-50%);
    padding: 10px;
}

.carousel-heading-flexbox.h2,
.carousel-heading-flexbox.h3 {
    padding: 0 20px;
    color: #ecf0f1;
}

@media (min-width: 768px) {
    .carousel-prev-flexbox::before {
        position: relative;
        top: 50%;
        left: 20px;
        content: "";
        display: inline-block;
        width: 3em;
        height: 3em;
        border-right: 0.7em solid white;
        border-top: 0.7em solid white;
        transform: rotate(225deg);
    }

    .carousel-next-flexbox::before {
        position: relative;
        top: 50%;
        right: -20px;
        content: "";
        display: inline-block;
        width: 3em;
        height: 3em;
        border-right: 0.7em solid white;
        border-top: 0.7em solid white;
        transform: rotate(45deg);
    }
}

.carousel-flexbox .buttons{
    position: absolute;
    margin: auto;
    height: 100%;
    width: 100%;
    text-align: left;
}

.carousel-flexbox .buttons .button-link{
    background-color: #ffffff;
    border-color: #ffffff;
    color: #000000;
    display: inline-block;
    padding: 1.636em 2.545em;
    line-height: 1.4;
    position: relative;
    -webkit-border-radius: 0;
    margin-left: 20vw;
    border-radius: 0;
    z-index: 2;
    margin: auto;
    outline: 0;
    top: 50%;
    transform: translateY(-50%);
    text-align: left;
    margin-left: 20px;
    cursor: pointer;
    border: 1px solid transparent;
    box-sizing: border-box;
    word-wrap: break-word;
    -webkit-appearance: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-decoration: none;
    position: relative;
    overflow: hidden;
    touch-action: manipulation;
}

@media (max-width: 1365px) {
    .carousel-flexbox .buttons {
      justify-content: center;
      padding-bottom: 7%;
      gap: 7px;
    }
    .carousel-flexbox .button-link {
      padding-top: 15px!important;
      padding-bottom: 15px!important;
      padding-left: 20px!important;
      padding-right: 20px!important;
      margin-left: 0!important;
      margin-right: 0!important;
    }
  }